# Submission Notes Components

Components in this subdirectory are organized around correcting student submissions.
The components found in the `toolbars` subdirectory make the top and bottom toolbar of the correction overview.

The components in the `base` subdirectory are used to build the center overview. The `CommentForm.vue` and `FeedbackComment.vue`
components are responsible for submitting and rendering comments. Each line of code is represented by one instance of
`SubmissionLine.vue`, which is responsible for rendering code lines.

The `CorrectionHelpCard.vue` will have some static text to guid the user through the correction.

The `RouteChangeConfirmation.vue` component listens on route changes and displays a warning if there are any unsaved
changes.

The `SubmissionCorrection.vue` will put everything together.
