# Subscription Components

These components organize around the subscription logic. A subscription allows the corrector to filter for available
submissions. In the current state, subscriptions are only used to distinguish between the three different submission
states, which are `Initial`, `Validate` and `Conflict`.

The `SubscriptionEnded.vue` component has a simple dialog that notices the user that there are no submissions left for
the currently selected subscription.

The `SubscriptionsForStage.vue` component renders a list of all available subscriptions for a given stage.

The `SubscriptionList.vue` renders a tabbed list that puts the available stages and the `SubscriptionForStage.vue`
components together

The `SubscriptionForList.vue` component is used to render a single entry in the whole subscription list.
__
